com.hazelcast.client.config

## Class ClientConfig

- java.lang.Object
- - com.hazelcast.client.config.ClientConfig

- Direct Known Subclasses:
    ClientClasspathXmlConfig, ClientClasspathYamlConfig, JetClientConfig

      public class ClientConfig
      extends Object

  Main configuration to setup a Hazelcast Client

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientConfig()`
    `ClientConfig(ClientConfig config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientConfig` | `addAddress(String... addresses)` Deprecated.
    `ClientConfig` | `addFlakeIdGeneratorConfig(ClientFlakeIdGeneratorConfig config)` Adds a flake ID generator configuration.
    `ClientConfig` | `addLabel(String label)` Adds a label for this client `Client` available
    `ClientConfig` | `addListenerConfig(ListenerConfig listenerConfig)` Helper method to add a new ListenerConfig
    `ClientConfig` | `addNearCacheConfig(NearCacheConfig nearCacheConfig)` Helper method to add a new NearCacheConfig
    `ClientConfig` | `addNearCacheConfig(String name, NearCacheConfig nearCacheConfig)` Deprecated.
    `ClientConfig` | `addProxyFactoryConfig(ProxyFactoryConfig proxyFactoryConfig)` Helper method to add a new `ProxyFactoryConfig`
    `ClientConfig` | `addQueryCacheConfig(String mapName, QueryCacheConfig queryCacheConfig)`
    `ClientConfig` | `addReliableTopicConfig(ClientReliableTopicConfig reliableTopicConfig)` Adds a ClientReliableTopicConfig.
    `boolean` | `equals(Object o)`
    `ClientFlakeIdGeneratorConfig` | `findFlakeIdGeneratorConfig(String name)` Returns a `ClientFlakeIdGeneratorConfig` configuration for the given flake ID generator name.
    `List<String>` | `getAddresses()` Deprecated.
    `ClassLoader` | `getClassLoader()` Gets the classLoader
    `ConfigPatternMatcher` | `getConfigPatternMatcher()` Returns the pattern matcher which is used to match item names to configuration objects.
    `int` | `getConnectionAttemptLimit()` Deprecated.
    `int` | `getConnectionAttemptPeriod()` Deprecated.
    `ClientConnectionStrategyConfig` | `getConnectionStrategyConfig()`
    `int` | `getConnectionTimeout()` Deprecated.
    `Credentials` | `getCredentials()` Gets `Credentials`
    `int` | `getExecutorPoolSize()` Pool size for internal ExecutorService which handles responses etc.
    `ClientFlakeIdGeneratorConfig` | `getFlakeIdGeneratorConfig(String name)` Returns the `ClientFlakeIdGeneratorConfig` for the given name, creating one if necessary and adding it to the collection of known configurations.
    `Map<String,ClientFlakeIdGeneratorConfig>` | `getFlakeIdGeneratorConfigMap()` Returns the map of `FlakeIdGenerator` configurations, mapped by config name.
    `GroupConfig` | `getGroupConfig()` gets `GroupConfig`
    `String` | `getInstanceName()`
    `Set<String>` | `getLabels()`
    `String` | `getLicenseKey()`
    `List<ListenerConfig>` | `getListenerConfigs()` Gets list of all configured `ListenerConfig`'s
    `LoadBalancer` | `getLoadBalancer()` Gets LoadBalancer
    `ManagedContext` | `getManagedContext()` Gets `ManagedContext`
    `NativeMemoryConfig` | `getNativeMemoryConfig()`
    `NearCacheConfig` | `getNearCacheConfig(String name)` Gets the `NearCacheConfig` configured for the map / cache with name
    `Map<String,NearCacheConfig>` | `getNearCacheConfigMap()` Map of all configured NearCacheConfig's with the name key and configuration as the value
    `ClientNetworkConfig` | `getNetworkConfig()` Gets `ClientNetworkConfig`
    `QueryCacheConfig` | `getOrCreateQueryCacheConfig(String mapName, String cacheName)`
    `QueryCacheConfig` | `getOrNullQueryCacheConfig(String mapName, String cacheName)`
    `Properties` | `getProperties()` Gets `Properties` object
    `String` | `getProperty(String name)` Gets a named property already set or from system properties if not exists.
    `List<ProxyFactoryConfig>` | `getProxyFactoryConfigs()` Gets list of `ProxyFactoryConfig`
    `Map<String,Map<String,QueryCacheConfig>>` | `getQueryCacheConfigs()`
    `ClientReliableTopicConfig` | `getReliableTopicConfig(String name)` Gets the ClientReliableTopicConfig for a given reliable topic name.
    `Map<String,ClientReliableTopicConfig>` | `getReliableTopicConfigMap()` Returns the map of reliable topic configurations, mapped by config name.
    `ClientSecurityConfig` | `getSecurityConfig()` Gets `ClientSecurityConfig` object
    `SerializationConfig` | `getSerializationConfig()` Gets `SerializationConfig`
    `SocketInterceptorConfig` | `getSocketInterceptorConfig()` Deprecated.
    `SocketOptions` | `getSocketOptions()` Deprecated.
    `ClientUserCodeDeploymentConfig` | `getUserCodeDeploymentConfig()` Get current configuration of User Code Deployment.
    `ConcurrentMap<String,Object>` | `getUserContext()`
    `int` | `hashCode()`
    `boolean` | `isRedoOperation()` Deprecated.
    `boolean` | `isSmartRouting()` Deprecated.
    `ClientConfig` | `setAddresses(List<String> addresses)` Deprecated.
    `ClientConfig` | `setClassLoader(ClassLoader classLoader)` Sets the classLoader which is used by serialization and listener configuration
    `void` | `setConfigPatternMatcher(ConfigPatternMatcher configPatternMatcher)` Sets the pattern matcher which is used to match item names to configuration objects.
    `ClientConfig` | `setConnectionAttemptLimit(int connectionAttemptLimit)` Deprecated.
    `ClientConfig` | `setConnectionAttemptPeriod(int connectionAttemptPeriod)` Deprecated.
    `ClientConfig` | `setConnectionStrategyConfig(ClientConnectionStrategyConfig connectionStrategyConfig)`
    `ClientConfig` | `setConnectionTimeout(int connectionTimeout)` Deprecated.
    `ClientConfig` | `setCredentials(Credentials credentials)` Sets `Credentials`
    `ClientConfig` | `setExecutorPoolSize(int executorPoolSize)` Sets Client side Executor pool size.
    `ClientConfig` | `setFlakeIdGeneratorConfigMap(Map<String,ClientFlakeIdGeneratorConfig> map)` Sets the map of `FlakeIdGenerator` configurations, mapped by config name.
    `ClientConfig` | `setGroupConfig(GroupConfig groupConfig)` Sets `GroupConfig`
    `void` | `setInstanceName(String instanceName)`
    `ClientConfig` | `setLabels(Set<String> labels)` Set labels for the client.
    `ClientConfig` | `setLicenseKey(String licenseKey)` Deprecated. As of Hazelcast 3.10.3, enterprise license keys are required only for members, and not for clients
    `ClientConfig` | `setListenerConfigs(List<ListenerConfig> listenerConfigs)` Sets all `ListenerConfig`'s
    `ClientConfig` | `setLoadBalancer(LoadBalancer loadBalancer)` Sets the `LoadBalancer`
    `ClientConfig` | `setManagedContext(ManagedContext managedContext)` Sets `ManagedContext`
    `ClientConfig` | `setNativeMemoryConfig(NativeMemoryConfig nativeMemoryConfig)`
    `ClientConfig` | `setNearCacheConfigMap(Map<String,NearCacheConfig> nearCacheConfigMap)` Sets all `NearCacheConfig`'s with the provided map
    `ClientConfig` | `setNetworkConfig(ClientNetworkConfig networkConfig)` Sets `ClientNetworkConfig`
    `ClientConfig` | `setProperties(Properties properties)` sets all properties
    `ClientConfig` | `setProperty(String name, String value)` Sets the value of a named property.
    `ClientConfig` | `setProxyFactoryConfigs(List<ProxyFactoryConfig> proxyFactoryConfigs)` Sets the `ProxyFactoryConfig`
    `void` | `setQueryCacheConfigs(Map<String,Map<String,QueryCacheConfig>> queryCacheConfigs)`
    `ClientConfig` | `setRedoOperation(boolean redoOperation)` Deprecated.
    `ClientConfig` | `setReliableTopicConfigMap(Map<String,ClientReliableTopicConfig> map)` Sets the map of `ClientReliableTopicConfig`, mapped by config name.
    `ClientConfig` | `setSecurityConfig(ClientSecurityConfig securityConfig)` Sets `ClientSecurityConfig` object
    `ClientConfig` | `setSerializationConfig(SerializationConfig serializationConfig)` Sets `SerializationConfig`
    `ClientConfig` | `setSmartRouting(boolean smartRouting)` Deprecated.
    `ClientConfig` | `setSocketInterceptorConfig(SocketInterceptorConfig socketInterceptorConfig)` Deprecated.
    `ClientConfig` | `setSocketOptions(SocketOptions socketOptions)` Deprecated.
    `ClientConfig` | `setUserCodeDeploymentConfig(ClientUserCodeDeploymentConfig userCodeDeploymentConfig)` Set User Code Deployment configuration
    `ClientConfig` | `setUserContext(ConcurrentMap<String,Object> userContext)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientConfig

          public ClientConfig()

    - #### ClientConfig

          public ClientConfig(ClientConfig config)

  - ### Method Detail

    - #### setConfigPatternMatcher

          public void setConfigPatternMatcher(ConfigPatternMatcher configPatternMatcher)

      Sets the pattern matcher which is used to match item names to configuration objects. By default the `MatchingPointConfigPatternMatcher` is used.
      Parameters:
        `configPatternMatcher` - the pattern matcher
      Throws:
        `IllegalArgumentException` - if the pattern matcher is `null`

    - #### getConfigPatternMatcher

          public ConfigPatternMatcher getConfigPatternMatcher()

      Returns the pattern matcher which is used to match item names to configuration objects. By default the `MatchingPointConfigPatternMatcher` is used.
      Returns:
        the pattern matcher

    - #### getProperty

          public String getProperty(String name)

      Gets a named property already set or from system properties if not exists.
      Parameters:
        `name` - property name
      Returns:
        value of the property

    - #### setProperty

          public ClientConfig setProperty(String name,
                                          String value)

      Sets the value of a named property.
      Parameters:
        `name` - property name
        `value` - value of the property
      Returns:
        configured `ClientConfig` for chaining

    - #### getProperties

          public Properties getProperties()

      Gets `Properties` object
      Returns:
        `Properties` object

    - #### setProperties

          public ClientConfig setProperties(Properties properties)

      sets all properties
      Parameters:
        `properties` - `Properties` object
      Returns:
        configured `ClientConfig` for chaining

    - #### getSecurityConfig

          public ClientSecurityConfig getSecurityConfig()

      Gets `ClientSecurityConfig` object
      Returns:
        `ClientSecurityConfig`
      See Also:
        `ClientSecurityConfig`

    - #### setSecurityConfig

          public ClientConfig setSecurityConfig(ClientSecurityConfig securityConfig)

      Sets `ClientSecurityConfig` object
      Parameters:
        `securityConfig` - `ClientSecurityConfig` to be set
      Returns:
        configured `ClientConfig` for chaining
      See Also:
        `ClientSecurityConfig`

    - #### getNetworkConfig

          public ClientNetworkConfig getNetworkConfig()

      Gets `ClientNetworkConfig`
      Returns:
        `ClientNetworkConfig`
      See Also:
        `ClientNetworkConfig`

    - #### setNetworkConfig

          public ClientConfig setNetworkConfig(ClientNetworkConfig networkConfig)

      Sets `ClientNetworkConfig`
      Parameters:
        `networkConfig` - `ClientNetworkConfig` to be set
      Returns:
        configured `ClientConfig` for chaining
      See Also:
        `ClientNetworkConfig`

    - #### addReliableTopicConfig

          public ClientConfig addReliableTopicConfig(ClientReliableTopicConfig reliableTopicConfig)

      Adds a ClientReliableTopicConfig.
      Parameters:
        `reliableTopicConfig` - the ClientReliableTopicConfig to add
      Returns:
        configured `ClientConfig` for chaining

    - #### getReliableTopicConfig

          public ClientReliableTopicConfig getReliableTopicConfig(String name)

      Gets the ClientReliableTopicConfig for a given reliable topic name.
      Parameters:
        `name` - the name of the reliable topic
      Returns:
        the found config. If none is found, a default configured one is returned.

    - #### addNearCacheConfig

          @Deprecated
          public ClientConfig addNearCacheConfig(String name,
                                                             NearCacheConfig nearCacheConfig)

      Deprecated.
      please use `addNearCacheConfig(NearCacheConfig)`
      Parameters:
        `name` - name of the IMap / ICache that Near Cache config will be applied to
        `nearCacheConfig` - nearCacheConfig
      Returns:
        configured `ClientConfig` for chaining

    - #### addNearCacheConfig

          public ClientConfig addNearCacheConfig(NearCacheConfig nearCacheConfig)

      Helper method to add a new NearCacheConfig
      Parameters:
        `nearCacheConfig` - `NearCacheConfig`
      Returns:
        configured `ClientConfig` for chaining
      See Also:
        `NearCacheConfig`

    - #### addListenerConfig

          public ClientConfig addListenerConfig(ListenerConfig listenerConfig)

      Helper method to add a new ListenerConfig
      Parameters:
        `listenerConfig` - ListenerConfig
      Returns:
        configured `ClientConfig` for chaining
      See Also:
        `ListenerConfig`

    - #### addProxyFactoryConfig

          public ClientConfig addProxyFactoryConfig(ProxyFactoryConfig proxyFactoryConfig)

      Helper method to add a new `ProxyFactoryConfig`
      Parameters:
        `proxyFactoryConfig` - `ProxyFactoryConfig`
      Returns:
        configured `ClientConfig` for chaining
      See Also:
        `ProxyFactoryConfig`

    - #### getNearCacheConfig

          public NearCacheConfig getNearCacheConfig(String name)

      Gets the `NearCacheConfig` configured for the map / cache with name
      Parameters:
        `name` - name of the map / cache
      Returns:
        Configured `NearCacheConfig`
      See Also:
        `NearCacheConfig`

    - #### getNearCacheConfigMap

          public Map<String,NearCacheConfig> getNearCacheConfigMap()

      Map of all configured NearCacheConfig's with the name key and configuration as the value
      Returns:
        map of NearCacheConfig
      See Also:
        `NearCacheConfig`

    - #### setNearCacheConfigMap

          public ClientConfig setNearCacheConfigMap(Map<String,NearCacheConfig> nearCacheConfigMap)

      Sets all `NearCacheConfig`'s with the provided map
      Parameters:
        `nearCacheConfigMap` - map of (name, `NearCacheConfig`)
      Returns:
        configured `ClientConfig` for chaining

    - #### getFlakeIdGeneratorConfigMap

          public Map<String,ClientFlakeIdGeneratorConfig> getFlakeIdGeneratorConfigMap()

      Returns the map of `FlakeIdGenerator` configurations, mapped by config name. The config name may be a pattern with which the configuration was initially obtained.
      Returns:
        the map configurations mapped by config name

    - #### findFlakeIdGeneratorConfig

          public ClientFlakeIdGeneratorConfig findFlakeIdGeneratorConfig(String name)

      Returns a `ClientFlakeIdGeneratorConfig` configuration for the given flake ID generator name.

      The name is matched by pattern to the configuration and by stripping the partition ID qualifier from the given `name`. If there is no config found by the name, it will return the configuration with the name `"default"`.

      Parameters:
        `name` - name of the flake ID generator config
      Returns:
        the flake ID generator configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`

    - #### getFlakeIdGeneratorConfig

          public ClientFlakeIdGeneratorConfig getFlakeIdGeneratorConfig(String name)

      Returns the `ClientFlakeIdGeneratorConfig` for the given name, creating one if necessary and adding it to the collection of known configurations.

      The configuration is found by matching the the configuration name pattern to the provided `name` without the partition qualifier (the part of the name after `'@'`). If no configuration matches, it will create one by cloning the `"default"` configuration and add it to the configuration collection.

      This method is intended to easily and fluently create and add configurations more specific than the default configuration without explicitly adding it by invoking `addFlakeIdGeneratorConfig(ClientFlakeIdGeneratorConfig)`.

      Because it adds new configurations if they are not already present, this method is intended to be used before this config is used to create a hazelcast instance. Afterwards, newly added configurations may be ignored.

      Parameters:
        `name` - name of the flake ID generator config
      Returns:
        the cache configuration
      Throws:
        `ConfigurationException` - if ambiguous configurations are found
      See Also:
        `StringPartitioningStrategy.getBaseName(java.lang.String)`, `setConfigPatternMatcher(ConfigPatternMatcher)`, `getConfigPatternMatcher()`

    - #### addFlakeIdGeneratorConfig

          public ClientConfig addFlakeIdGeneratorConfig(ClientFlakeIdGeneratorConfig config)

      Adds a flake ID generator configuration. The configuration is saved under the config name, which may be a pattern with which the configuration will be obtained in the future.
      Parameters:
        `config` - the flake ID configuration
      Returns:
        this config instance

    - #### setFlakeIdGeneratorConfigMap

          public ClientConfig setFlakeIdGeneratorConfigMap(Map<String,ClientFlakeIdGeneratorConfig> map)

      Sets the map of `FlakeIdGenerator` configurations, mapped by config name. The config name may be a pattern with which the configuration will be obtained in the future.
      Parameters:
        `map` - the FlakeIdGenerator configuration map to set
      Returns:
        this config instance

    - #### setReliableTopicConfigMap

          public ClientConfig setReliableTopicConfigMap(Map<String,ClientReliableTopicConfig> map)

      Sets the map of `ClientReliableTopicConfig`, mapped by config name. The config name may be a pattern with which the configuration will be obtained in the future.
      Parameters:
        `map` - the FlakeIdGenerator configuration map to set
      Returns:
        this config instance

    - #### getReliableTopicConfigMap

          public Map<String,ClientReliableTopicConfig> getReliableTopicConfigMap()

      Returns the map of reliable topic configurations, mapped by config name. The config name may be a pattern with which the configuration was initially obtained.
      Returns:
        the map configurations mapped by config name

    - #### isSmartRouting

          @Deprecated
          public boolean isSmartRouting()

      Deprecated.
      Use `ClientNetworkConfig.isSmartRouting()` instead

    - #### setSmartRouting

          @Deprecated
          public ClientConfig setSmartRouting(boolean smartRouting)

      Deprecated.
      Use `ClientNetworkConfig.setSmartRouting(boolean)` instead

    - #### getSocketInterceptorConfig

          @Deprecated
          public SocketInterceptorConfig getSocketInterceptorConfig()

      Deprecated.
      Use `ClientNetworkConfig.getSocketInterceptorConfig()` instead

    - #### setSocketInterceptorConfig

          @Deprecated
          public ClientConfig setSocketInterceptorConfig(SocketInterceptorConfig socketInterceptorConfig)

      Deprecated.
      Use `ClientNetworkConfig.setSocketInterceptorConfig(com.hazelcast.config.SocketInterceptorConfig)` instead

    - #### getConnectionAttemptPeriod

          @Deprecated
          public int getConnectionAttemptPeriod()

      Deprecated.
      Use `ClientNetworkConfig.getConnectionAttemptPeriod()` instead

    - #### setConnectionAttemptPeriod

          @Deprecated
          public ClientConfig setConnectionAttemptPeriod(int connectionAttemptPeriod)

      Deprecated.
      Use `ClientNetworkConfig.setConnectionAttemptPeriod(int)` instead

    - #### getConnectionAttemptLimit

          @Deprecated
          public int getConnectionAttemptLimit()

      Deprecated.
      Use `ClientNetworkConfig.getConnectionAttemptLimit()` instead

    - #### setConnectionAttemptLimit

          @Deprecated
          public ClientConfig setConnectionAttemptLimit(int connectionAttemptLimit)

      Deprecated.
      Use `ClientNetworkConfig.setConnectionAttemptLimit(int)` instead

    - #### getConnectionTimeout

          @Deprecated
          public int getConnectionTimeout()

      Deprecated.
      Use `ClientNetworkConfig.getConnectionTimeout()` instead

    - #### setConnectionTimeout

          @Deprecated
          public ClientConfig setConnectionTimeout(int connectionTimeout)

      Deprecated.
      Use `ClientNetworkConfig.setConnectionTimeout(int)` instead

    - #### getCredentials

          public Credentials getCredentials()

      Gets `Credentials`
      Returns:
        `Credentials`
      See Also:
        `Credentials`

    - #### setCredentials

          public ClientConfig setCredentials(Credentials credentials)

      Sets `Credentials`
      Parameters:
        `credentials` - `Credentials`
      Returns:
        configured `ClientConfig` for chaining

    - #### addAddress

          @Deprecated
          public ClientConfig addAddress(String... addresses)

      Deprecated.
      Use `ClientNetworkConfig.addAddress(java.lang.String...)` instead

    - #### setAddresses

          @Deprecated
          public ClientConfig setAddresses(List<String> addresses)

      Deprecated.
      Use `ClientNetworkConfig.setAddresses(java.util.List<java.lang.String>)` instead

    - #### getAddresses

          @Deprecated
          public List<String> getAddresses()

      Deprecated.
      Use `ClientNetworkConfig.getAddresses()` instead

    - #### getGroupConfig

          public GroupConfig getGroupConfig()

      gets `GroupConfig`
      Returns:
        `GroupConfig`
      See Also:
        `GroupConfig`

    - #### setGroupConfig

          public ClientConfig setGroupConfig(GroupConfig groupConfig)

      Sets `GroupConfig`
      Parameters:
        `groupConfig` - `GroupConfig`
      Returns:
        configured `ClientConfig` for chaining

    - #### getListenerConfigs

          public List<ListenerConfig> getListenerConfigs()

      Gets list of all configured `ListenerConfig`'s
      Returns:
        `ListenerConfig`
      See Also:
        `ListenerConfig`

    - #### setListenerConfigs

          public ClientConfig setListenerConfigs(List<ListenerConfig> listenerConfigs)

      Sets all `ListenerConfig`'s
      Parameters:
        `listenerConfigs` - list of `ListenerConfig`
      Returns:
        configured `ClientConfig` for chaining
      See Also:
        `ListenerConfig`

    - #### getLoadBalancer

          public LoadBalancer getLoadBalancer()

      Gets LoadBalancer
      Returns:
        LoadBalancer
      See Also:
        `LoadBalancer`

    - #### setLoadBalancer

          public ClientConfig setLoadBalancer(LoadBalancer loadBalancer)

      Sets the `LoadBalancer`
      Parameters:
        `loadBalancer` - `LoadBalancer`
      Returns:
        configured `ClientConfig` for chaining
      See Also:
        `LoadBalancer`

    - #### isRedoOperation

          @Deprecated
          public boolean isRedoOperation()

      Deprecated.
      Use `ClientNetworkConfig.isRedoOperation()` instead

    - #### setRedoOperation

          @Deprecated
          public ClientConfig setRedoOperation(boolean redoOperation)

      Deprecated.
      Use `ClientNetworkConfig.setRedoOperation(boolean)` instead

    - #### getSocketOptions

          @Deprecated
          public SocketOptions getSocketOptions()

      Deprecated.
      Use `ClientNetworkConfig.getSocketOptions()` instead

    - #### setSocketOptions

          @Deprecated
          public ClientConfig setSocketOptions(SocketOptions socketOptions)

      Deprecated.
      Use `ClientNetworkConfig.setSocketOptions(com.hazelcast.client.config.SocketOptions)` instead

    - #### getClassLoader

          public ClassLoader getClassLoader()

      Gets the classLoader
      Returns:
        configured classLoader, null if not yet configured

    - #### setClassLoader

          public ClientConfig setClassLoader(ClassLoader classLoader)

      Sets the classLoader which is used by serialization and listener configuration
      Parameters:
        `classLoader` -
      Returns:
        configured `ClientConfig` for chaining

    - #### getManagedContext

          public ManagedContext getManagedContext()

      Gets `ManagedContext`
      Returns:
        `ManagedContext`
      See Also:
        `ManagedContext`

    - #### setManagedContext

          public ClientConfig setManagedContext(ManagedContext managedContext)

      Sets `ManagedContext`
      Parameters:
        `managedContext` - `ManagedContext`
      Returns:
        configured `ClientConfig` for chaining
      See Also:
        `ManagedContext`

    - #### getExecutorPoolSize

          public int getExecutorPoolSize()

      Pool size for internal ExecutorService which handles responses etc.
      Returns:
        int Executor pool size.

    - #### setExecutorPoolSize

          public ClientConfig setExecutorPoolSize(int executorPoolSize)

      Sets Client side Executor pool size.
      Parameters:
        `executorPoolSize` - pool size
      Returns:
        configured `ClientConfig` for chaining

    - #### getProxyFactoryConfigs

          public List<ProxyFactoryConfig> getProxyFactoryConfigs()

      Gets list of `ProxyFactoryConfig`
      Returns:
        list of `ProxyFactoryConfig`
      See Also:
        `ProxyFactoryConfig`

    - #### setProxyFactoryConfigs

          public ClientConfig setProxyFactoryConfigs(List<ProxyFactoryConfig> proxyFactoryConfigs)

      Sets the `ProxyFactoryConfig`
      Parameters:
        `proxyFactoryConfigs` - list to assign
      Returns:
        configured `ClientConfig` for chaining

    - #### getSerializationConfig

          public SerializationConfig getSerializationConfig()

      Gets `SerializationConfig`
      Returns:
        SerializationConfig
      See Also:
        `SerializationConfig`

    - #### setSerializationConfig

          public ClientConfig setSerializationConfig(SerializationConfig serializationConfig)

      Sets `SerializationConfig`
      Parameters:
        `serializationConfig` - SerializationConfig
      Returns:
        configured `ClientConfig` for chaining
      See Also:
        `SerializationConfig`

    - #### getNativeMemoryConfig

          public NativeMemoryConfig getNativeMemoryConfig()

    - #### setNativeMemoryConfig

          public ClientConfig setNativeMemoryConfig(NativeMemoryConfig nativeMemoryConfig)

    - #### getLicenseKey

          public String getLicenseKey()

    - #### setLicenseKey

          public ClientConfig setLicenseKey(String licenseKey)

      Deprecated. As of Hazelcast 3.10.3, enterprise license keys are required only for members, and not for clients

    - #### addQueryCacheConfig

          public ClientConfig addQueryCacheConfig(String mapName,
                                                  QueryCacheConfig queryCacheConfig)

    - #### getQueryCacheConfigs

          public Map<String,Map<String,QueryCacheConfig>> getQueryCacheConfigs()

    - #### setQueryCacheConfigs

          public void setQueryCacheConfigs(Map<String,Map<String,QueryCacheConfig>> queryCacheConfigs)

    - #### getInstanceName

          public String getInstanceName()

    - #### setInstanceName

          public void setInstanceName(String instanceName)

    - #### getConnectionStrategyConfig

          public ClientConnectionStrategyConfig getConnectionStrategyConfig()

    - #### setConnectionStrategyConfig

          public ClientConfig setConnectionStrategyConfig(ClientConnectionStrategyConfig connectionStrategyConfig)

    - #### getUserCodeDeploymentConfig

          public ClientUserCodeDeploymentConfig getUserCodeDeploymentConfig()

      Get current configuration of User Code Deployment.
      Returns:
        User Code Deployment configuration
      Since:
        3.9

    - #### setUserCodeDeploymentConfig

          public ClientConfig setUserCodeDeploymentConfig(ClientUserCodeDeploymentConfig userCodeDeploymentConfig)

      Set User Code Deployment configuration
      Parameters:
        `userCodeDeploymentConfig` -
      Returns:
        configured `ClientConfig` for chaining
      Since:
        3.9

    - #### getOrCreateQueryCacheConfig

          public QueryCacheConfig getOrCreateQueryCacheConfig(String mapName,
                                                              String cacheName)

      Parameters:
        `mapName` - The name of the map for which the query cache config is to be returned.
        `cacheName` - The name of the query cache.
      Returns:
        The query cache config. If the config does not exist, it is created.

    - #### getOrNullQueryCacheConfig

          public QueryCacheConfig getOrNullQueryCacheConfig(String mapName,
                                                            String cacheName)

      Parameters:
        `mapName` - The name of the map for which the query cache config is to be returned.
        `cacheName` - The name of the query cache.
      Returns:
        The query cache config. If no such config exist null is returned.

    - #### addLabel

          public ClientConfig addLabel(String label)

      Adds a label for this client `Client` available
      Parameters:
        `label` - The label to be added.
      Returns:
        configured `ClientConfig` for chaining

    - #### getLabels

          public Set<String> getLabels()

      Returns:
        all the labels assigned to this client

    - #### setLabels

          public ClientConfig setLabels(Set<String> labels)

      Set labels for the client. Deletes old labels if added earlier.
      Parameters:
        `labels` - The labels to be set
      Returns:
        configured `ClientConfig` for chaining

    - #### setUserContext

          public ClientConfig setUserContext(ConcurrentMap<String,Object> userContext)

    - #### getUserContext

          public ConcurrentMap<String,Object> getUserContext()

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2019. All rights reserved.